ranges::views::delimit_fn Struct Reference
Inheritance diagram for ranges::views::delimit_fn:

## Public Member Functions

template<typename Val >
constexpr auto | operator() (Val value) const
Public Member Functions inherited from ranges::views::delimit_base_fn
template<typename Rng , typename Val >
CPP_TEMPLATE_AUX_0 | c (requires viewable_range< Rng > &&input_range< Rng > &&semiregular< Val > &&equality_comparable_with< Val, range_reference_t< Rng >>) ccconstexpr auto operator()(Rng &&rng
template<typename I_ , typename Val , typename I = detail::decay_t<I_>>
CPP_TEMPLATE_AUX_0 | c (requires(!range< I_ >) &&convertible_to< I_, I > &&input_iterator< I > &&semiregular< Val > &&equality_comparable_with< Val, iter_reference_t< I >>) ccconstexpr auto operator()(I_ &&begin_

## Related Functions

(Note that these are not member functions.)
constexpr delimit_fn | delimit {}

## Additional Inherited Members

Public Attributes inherited from ranges::views::delimit_base_fn
CPP_TEMPLATE_AUX_0 Val value const | delimit_view< all_t< Rng >, Val >
CPP_TEMPLATE_AUX_0 Val value const | delimit_view< subrange< I, unreachable_sentinel_t >, Val >